version: '2.1'

services:
  ipv6nat:
    image: robbertkl/ipv6nat
    restart: always
    hostname: ipv6nat
    container_name: ipv6nat
    privileged: true
    volumes:
      - /lib/modules:/lib/modules:ro
      - /var/run/docker.sock:/var/run/docker.sock:ro
    network_mode: host
    sysctls:
      - net.ipv6.conf.all.accept_ra=2
      - net.ipv6.conf.all.forwarding=1
      - net.ipv6.conf.default.forwarding=1
